Subject: Re: [RFC IPROUTE 00/08]: Time cleanups + nano-second clock resolution support

From: Patrick McHardy <[email-masked]>
Date: Wed, 14 Mar 2007 09:54:58 +0100

Stephen Hemminger wrote:
> On Sun,  4 Mar 2007 20:14:53 +0100 (MET)
> Patrick McHardy <[email-masked]> wrote:
> 
>>Patrick McHardy:
>>      [IPROUTE]: tbf: fix latency printing
>>      [IPROUTE]: Use tc_calc_xmittime() where appropriate
>>      [IPROUTE]: Introduce tc_calc_xmitsize and use where appropriate
>>      [IPROUTE]: Introduce TIME_UNITS_PER_SEC to represent internal clock resolution
>>      [IPROUTE]: Replace "usec" by "time" in function names
>>      [IPROUTE]: Add sprint_ticks() function and use in CBQ
>>      [IPROUTE]: Handle different kernel clock resolutions
>>      [IPROUTE]: Increase internal clock resolution to nsec
> 
> 
> applied all

Thanks Stephen, but actually I think the last patch (increase clock
resolution) shouldn't go in yet. I'm not done yet looking at all
the compatibility issues and it does change the range of valid
values for everything dealing with times. Most places I looked
at still accept reasonable ranges, but I would feel more comfortable
to make sure everything is fine first.